Bug 826912 - [abrt] devhelp-3.4.1-1.fc17: Process /usr/bin/devhelp was killed by signal 11 (SIGSEGV)
[abrt] devhelp-3.4.1-1.fc17: Process /usr/bin/devhelp was killed by signal 11...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: devhelp (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:7ef602370fedc6c831508596d19...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 04:56 EDT by Aleksander Morgado
Modified: 2013-07-31 23:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:42:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.60 KB, text/plain)
2012-05-31 04:56 EDT, Aleksander Morgado
no flags Details
File: maps (31.29 KB, text/plain)
2012-05-31 04:56 EDT, Aleksander Morgado
no flags Details
File: dso_list (9.59 KB, text/plain)
2012-05-31 04:56 EDT, Aleksander Morgado
no flags Details
File: build_ids (4.12 KB, text/plain)
2012-05-31 04:56 EDT, Aleksander Morgado
no flags Details

  None (edit)
Description Aleksander Morgado 2012-05-31 04:56:05 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        devhelp
crash_function: preferences_bookshelf_book_created_cb
executable:     /usr/bin/devhelp
kernel:         3.4.0+
pid:            7701
pwd:            /home/aleksander
time:           Thu 31 May 2012 10:41:03 AM CEST
uid:            1000
username:       aleksander

backtrace:      Text file, 26217 bytes
build_ids:      Text file, 4223 bytes
dso_list:       Text file, 9824 bytes
maps:           Text file, 32043 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/aleksander/2

comment:
:Devhelp was open and I installed tracker-docs.
:
:Devhelp currently monitors the directories to get notified about new docbooks being installed, so that it gets updated automatically; seems it didn't work as expected... I'll take a look at it, given that I was the one who wrote that...

core_backtrace:
:d6e90067b83c107d0aeff8d8a9a23383f9939380 0x15985 - libdevhelp-3.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0xfe6a g_cclosure_marshal_VOID__OBJECT libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0xcda7 g_closure_invoke libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x1eacd - libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x26d81 g_signal_emit_valist libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x26f08 g_signal_emit libgobject-2.0.so.0 -
:d6e90067b83c107d0aeff8d8a9a23383f9939380 0xbc3d - libdevhelp-3.so.0 -
:d6e90067b83c107d0aeff8d8a9a23383f9939380 0xbff9 - libdevhelp-3.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x47ce0 - libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x46f11 g_main_context_dispatch libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x47390 - libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x477f3 g_main_loop_run libglib-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x1859fd gtk_main libgtk-3.so.0 -
:3153e189e2f5a47351e7e1b8352a8366d4602f83 0x1766 - [exe] -
:72a78e5847730928a002fd2c9719c4258a54e265 0xeb5f g_cclosure_marshal_VOID__VOID libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0xcda7 g_closure_invoke libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x1eacd - libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x26d81 g_signal_emit_valist libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x26f08 g_signal_emit libgobject-2.0.so.0 -
:dcc657d139ae8e1376df57b844635277883e75b8 0x98651 g_application_activate libgio-2.0.so.0 -
:dcc657d139ae8e1376df57b844635277883e75b8 0x98998 - libgio-2.0.so.0 -
:dcc657d139ae8e1376df57b844635277883e75b8 0x98ade g_application_run libgio-2.0.so.0 -
:3153e189e2f5a47351e7e1b8352a8366d4602f83 0x1396 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=ares
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/aleksander/keyring-VTOTGb
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=aleksander
:USERNAME=aleksander
:MAIL=/var/spool/mail/aleksander
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/aleksander/.local/bin:/home/aleksander/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/aleksander
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1286
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/aleksander
:SHLVL=1
:LOGNAME=aleksander
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-IaedMUwHl6,guid=785f566448859a499811796800000060
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/aleksander
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-aleksander-gdnLef/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1290,unix/unix:/tmp/.ICE-unix/1290
:SSH_AUTH_SOCK=/run/user/aleksander/keyring-VTOTGb/ssh
:GPG_AGENT_INFO=/run/user/aleksander/keyring-VTOTGb/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-devhelp.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=7701
:DESKTOP_STARTUP_ID=gnome-shell-1508-ares-devhelp-12_TIME5294272

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 23983                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       23983                23983                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/aleksander/.xsession-errors
:2:/home/aleksander/.xsession-errors
:3:socket:[703433]
:4:anon_inode:[eventfd]
:5:socket:[707052]
:6:socket:[707053]
:7:socket:[707054]
:8:anon_inode:inotify
:9:anon_inode:[eventfd]
:10:anon_inode:[eventfd]
:11:/home/aleksander/.local/share/webkit/icondatabase/WebpageIcons.db
:12:anon_inode:[eventfd]

var_log_messages:
:May 31 10:34:05 ares yum[6371]: Installed: 1:devhelp-3.4.1-1.fc17.i686
:May 31 10:41:03 ares kernel: [ 5324.884803] devhelp[7701]: segfault at 4 ip b76f2985 sp bfa2f0e0 error 4 in libdevhelp-3.so.0.0.0[b76dd000+26000]
:May 31 10:41:04 ares abrt[7713]: Saved core dump of pid 7701 (/usr/bin/devhelp) to /var/spool/abrt/ccpp-2012-05-31-10:41:03-7701 (56684544 bytes)
Comment 1 Aleksander Morgado 2012-05-31 04:56:14 EDT
Created attachment 587981 [details]
File: backtrace
Comment 2 Aleksander Morgado 2012-05-31 04:56:17 EDT
Created attachment 587982 [details]
File: maps
Comment 3 Aleksander Morgado 2012-05-31 04:56:20 EDT
Created attachment 587983 [details]
File: dso_list
Comment 4 Aleksander Morgado 2012-05-31 04:56:22 EDT
Created attachment 587984 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-07-03 20:13:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 23:42:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.